import * as  React from 'react';
import { Route } from 'react-router-dom';

import { Finder } from '@finder-stack/client-react';
import { Feature } from '@common-stack/client-react';
import { reducers, resolvers, schema, dataIdFromObject } from '@finder-stack/client-state';

export default new Feature({
  leftMainPanelItems: { search: <Finder /> },
  reducer: { ...reducers },
  clientStateParams: [{ resolvers: resolvers, defaults: {}, typeDefs: schema }],
  dataIdFromObject,
});
